Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: lamp installeren met tasksel  (gelezen 394 keer)

Offline Teun

  • Lid
  • Steunpunt: Nee
lamp installeren met tasksel
« Gepost op: 2014/03/22, 14:55:54 »
In virtualbox heb ik ubuntu desktop 12.04 geinstalleerd. Ik ben bezig met het installeren van het pakket lamp door middel van tasksel. Ik loop hier tegen probelemen aan. Ik krijg dan het advies om
sudo apt-get install -f
te doen.
Hier uit kom de volgende melding:
user@ubuntuser:~$ sudo apt-get upgrade
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
De status informatie wordt gelezen... Klaar
U kunt 'apt-get -f install' uitvoeren om dit op te lossen.
De volgende pakketten hebben niet-voldane vereisten:
 mysql-server : Vereisten: mysql-server-5.5 maar het is niet geïnstalleerd
E: Er zijn vereisten waaraan niet voldaan is. Probeer -f te gebruiken.
user@ubuntuser:~$ sudo apt-get install -f
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
De status informatie wordt gelezen... Klaar
Vereisten worden gecorrigeerd... Klaar
De volgende pakketten zijn automatisch geïnstalleerd en zijn niet langer nodig:
  thunderbird-globalmenu linux-headers-3.5.0-37-generic gir1.2-ubuntuoneui-3.0
  firefox-globalmenu libubuntuoneui-3.0-1 linux-headers-3.5.0-23
  linux-headers-3.5.0-37 linux-headers-3.5.0-23-generic
U kunt deze verwijderen via 'apt-get autoremove'.
De volgende extra pakketten zullen geïnstalleerd worden:
  mysql-client-5.5 mysql-server-5.5
Voorgestelde pakketten:
  tinyca mailx
De volgende NIEUWE pakketten zullen geïnstalleerd worden:
  mysql-client-5.5 mysql-server-5.5
0 pakketten opgewaardeerd, 2 pakketten nieuw geïnstalleerd, 0 te verwijderen en 0 niet opgewaardeerd.
15 pakketten niet volledig geïnstalleerd of verwijderd.
Er moeten 0 B/16,8 MB aan archieven opgehaald worden.
Door deze operatie zal er 60,5 MB extra schijfruimte gebruikt worden.
Wilt u doorgaan [J/n]? j
Voorconfigureren van pakketten...
(Database inlezen ... 234446 files and directories currently installed.)
Uitpakken van mysql-client-5.5 (uit .../mysql-client-5.5_5.5.35-0ubuntu0.12.04.2_i386.deb) ...
dpkg: fout bij afhandelen van /var/cache/apt/archives/mysql-client-5.5_5.5.35-0ubuntu0.12.04.2_i386.deb (--unpack):
 beschadigd bestandssysteem tarbestand - beschadigd pakketarchief
dpkg-deb: error: subprocess paste was killed by signal (Gebroken pijp)
Uitpakken van mysql-server-5.5 (uit .../mysql-server-5.5_5.5.35-0ubuntu0.12.04.2_i386.deb) ...
dpkg-deb (subproces): data: interne gzip-leesfout: '<fd:4>: invalid block type'
dpkg-deb: error: subproces <decompress> gaf een foutwaarde 2 terug
dpkg: fout bij afhandelen van /var/cache/apt/archives/mysql-server-5.5_5.5.35-0ubuntu0.12.04.2_i386.deb (--unpack):
 short read on buffer copy for fout in dpkg-deb tijdens `./usr/bin/resolveip'
Processing triggers for man-db ...
Processing triggers for ureadahead ...
Fouten gevonden tijdens behandelen van:
 /var/cache/apt/archives/mysql-client-5.5_5.5.35-0ubuntu0.12.04.2_i386.deb
 /var/cache/apt/archives/mysql-server-5.5_5.5.35-0ubuntu0.12.04.2_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

edit: code tags
« Laatst bewerkt op: 2014/03/22, 21:35:34 door Johan van Dijk »

Offline Paul Matthijsse

  • Lid
  • Steunpunt: Nee
Re: lamp installeren met tasksel
« Reactie #1 Gepost op: 2014/03/22, 15:35:34 »
Lijkt erop dat je virtuele harde schijf van je Ubuntu-installatie binnen VirtualBox een probleem heeft. Vooral de vetgedrukte regels hieronder voeden dat. Je kunt proberen die virtuele schijf met de standaard reparatiegereedschappen van Ubuntu te repareren, maar misschien is het sneller om je bestaande Ubuntu 12.04-installatie te verwijderen (VM verwijderen dus) en de boel even opnieuw te installeren, incl. LAMP.

beschadigd bestandssysteem tarbestand - beschadigd pakketarchief
dpkg-deb: error: subprocess paste was killed by signal (Gebroken pijp)
Uitpakken van mysql-server-5.5 (uit .../mysql-server-5.5_5.5.35-0ubuntu0.12.04.2_i386.deb) ...
dpkg-deb (subproces): data: interne gzip-leesfout: '<fd:4>: invalid block type'
dpkg-deb: error: subproces <decompress> gaf een foutwaarde 2 terug
https://allesgimpofbijna.wordpress.com - GIMP en omstreken
https://paulsphotopalace.wordpress.com (Engelstalig) - Raw, RawTherapee, G'MIC, GIMP...